# Luxsci.SecureForm

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**action** | **String** | Set. What will be done with posted data? This is a comma-delimited list of actions: - archive – Save to a WebAide - email_data – Send via email - email_notice – Send a notification email - ftp – Save to an SFTP site - mysql – Save to a hosted database - schat – Send to SecureChat&#x27; | [optional] 
**archiveContent** | **String** | Set What will be saved to a WebAide? This is a comma-delimited list of data types (posted files are always saved): - 2col – Two-column HTML view of keywords and values - csv – CSV file - html – Custom re-filled HTML template - pdf – Custom re-filled PDF template - text – Plain text view of keywords and values - xfdf – Posted FDF file from a PDF form - xml – XML version of keyword and value data - xpdf – Posted full PDF from a PDF form&#x27; | [optional] 
**dbHost** | **String** | Text For configurations saving to a database, this is the hostname of the database | [optional] 
**dbName** | **String** | Text For configurations saving to a database, this is the name of the database | [optional] 
**dbTable** | **String** | Text For configurations saving to a database, this is the base table name for the table(s) that will conatin the post data | [optional] 
**emailContent** | **String** | Set What will be sent via email? This is a comma-delimited list of data types (posted files are always sent): - 2col – Two-column HTML view of keywords and values - csv – CSV file - html – Custom re-filled HTML template - pdf – Custom re-filled PDF template - text – Plain text view of keywords and values - xfdf – Posted FDF file from a PDF form - xml – XML version of keyword and value data - xpdf – Posted full PDF from a PDF form&#x27; | [optional] 
**ftpContent** | **String** | Set What will be uploaded to SFTP? This is a comma-delimited list of data types (posted files are always uploaded): - 2col – Two-column HTML view of keywords and values - csv – CSV file - html – Custom re-filled HTML template - pdf – Custom re-filled PDF template - text – Plain text view of keywords and values - xfdf – Posted FDF file from a PDF form - xml – XML version of keyword and value data - xpdf – Posted full PDF from a PDF form&#x27; | [optional] 
**id** | **Number** | Integer, SecureForm configuration unique ID. This is used in API function calls that operate on a specific SecureForm configuration. | [optional] 
**lastPost** | **String** | DATETIME. Date and time of the last post to this SecureForm configuration. Same format as “modified”. This will be undefined if there has not yet been any posts to this SecureForm configuration. | [optional] 
**modified** | **String** | DATETIME. Date and time this configuration was last modified in GMT. Format (YYYY-MM-DD HH:MM:SS) | [optional] 
**mysqlEncrypt** | **Number** | Integer. - 0 – Data saved to a database will not be encrypted at rest - 1 – Data saved to a database will be encrypted at rest notes Text Your internal plain text notes for this SecureForm configuration.&#x27; | [optional] 
**secure** | **Number** | Integer. - 0 – Configuration does not have “secure” connections and options required. - 1 – Configuration has “secure” connections and options required.&#x27; | [optional] 
**status** | **Number** | Integer. - 0 – Configuration disabled - 1 – Configuration active&#x27; | [optional] 
**title** | **String** | Text Title of this SecureForm configuration | [optional] 
**type** | **String** | Enum Source of the form data is: - web – A web site form - pdf – A PDF form&#x27; | [optional] 

<a name="MysqlEncryptEnum"></a>
## Enum: MysqlEncryptEnum

* `_0` (value: `0`)
* `_1` (value: `1`)


<a name="SecureEnum"></a>
## Enum: SecureEnum

* `_0` (value: `0`)
* `_1` (value: `1`)


<a name="StatusEnum"></a>
## Enum: StatusEnum

* `_0` (value: `0`)
* `_1` (value: `1`)


<a name="TypeEnum"></a>
## Enum: TypeEnum

* `web` (value: `"web"`)
* `pdf` (value: `"pdf"`)

