# Luxsci.Message

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**attachments** | **[Object]** | Optional. If included, this is an array of JSON objects, one for each uploaded file. See the General API Usage Guide for how to upload files with your request. The individual JSON objects will have the following keywords and values - name - Required. The exact filename of the uploaded file - hash - Required. The SHA256 hex-encoded hash of the content of this file. - method - Optional. For calendar (i.e., iCal) attachments you can specify a \&quot;method\&quot; parameter that will be added to the Content-Type email attachment header.  The value can be any of \&quot;REQUEST\&quot;, \&quot;REPLY\&quot;, or \&quot;CANCEL\&quot;.  | [optional] 
**bcc** | **[String]** | Optional. Array of email addresses for the recipients in the “Bcc” of the message. | [optional] 
**body** | **String** | Required. The body content of this message. This can be either a block of plain text (\\n or \\r\\n – UNIX or Windows style linefeeds are recommended) or a block of HTML content.  For best results, HTML content should NOT be a completed HTML Document, but what you would put inside &lt;body&gt; … &lt;/body&gt; tags. If you need to include a complete, arbitrary HTML document, we recommend uploading that as an attached file.  See the “body_type” parameter. | 
**bodyText** | **String** | Optional. Only used when body_type&#x3D;”html”.  If supplied, this plain text content will be used as the “alternative” message content for the HTML message body provided in “body”.  I.e., for people with HTML email content viewing disabled in their email or WebMail interfaces, this plain text version of your content will be displayed instead.  If omitted, a plain text alternate version of your HTML message content will not be included in your message. | [optional] 
**bodyType** | **String** | Optional. If included, this must be “text” or “html”. If omitted, it takes on the value “text”. The body_type parameter indicates what content is being passed in the “body” field. | [optional] 
**cc** | **[String]** | Optional. Array of email addresses for the recipients in the “Cc” of the message. | [optional] 
**fromAddress** | **String** | Optional. Email address to use as the “From address” for this message. If omitted, the sending user’s login email address will be used.  Note that it is against the terms of service to use an address here that does not belong to you or for which you do not otherwise have permission to send from. | [optional] 
**fromName** | **String** | Optional. The plain text name of the sender. If omitted, the sending user’s “contact” name (from his/her profile) will be used. If that is empty, then the “from_address” will be used.  The from name can be a maximum of 100 characters long. | [optional] 
**headers** | **[[String]]** | Optional. If included, the value must be an array specifying data for up to 10 custom headers that will be added to the outbound email message. This is usually used in combination with the custom header tracking and reporting features of LuxSci outbound emailing. E.g., you can set headers here that will be tracked (if you have enabled tracking of them in your outbound email settings in the LuxSci web site), and which can be used for reporting.  Each element of the headers array must itself be an array of two elements. The 1st element is the custom header name; the 2nd element is the custom header value. Some of the basic validation restrictions include: - You cannot override standard email headers (like To, Subject, Date, etc.) using custom headers.  - Header names cannot contain spaces, tabs, linefeeds, or colons - Header values cannot contain tabs or linefeeds and must be non-empty. - Each added header line must be less than 997 characters in length - The total length of add added header lines must be less than 5000 characters in length.&#x27; | [optional] 
**priority** | **Number** | Optional. Valid values are integers from 0 to 9.  This setting sets the relative queue priority of the message in the system.  Higher-priority messages can be processed and delivered before lower priority messages that may already have been sent and queued for processing and delivery.  This setting is useful when sending large numbers of messages of differing priorities at roughly the same time.  0 is the lowest priority. 9 is the highest prority. 4 is the default priority.  Note that the default priority can be changed on a per-API-configuration basis in the API configuration user interface.  | [optional] 
**receipt** | **Number** | Optional. If set to “1”, a read receipt will be requested.  For SecureLine Escrow, these read receipts will always be sent back on the 1st time the message is viewed by each recipient … the recipient has no say in the matter and no indication of if this is happening. | [optional] 
**replyAddress** | **String** | Optional. Email address to use as the “Reply-To address” for this message. If omitted, the from address will be used. Note that it is against the terms of service to use an address here that does not belong to you or for which you do not otherwise have permission to send from. | [optional] 
**seclineAEmail** | **String** | Optional. For email messages sent via SecureLine Escrow where Question/Answer pairs are being used for authentication, this answer will be used for the recipient whose email address is “[email]”. This overrides any other answer that may have otherwise been used. | [optional] 
**seclineKeepEmail** | **Number** | Optional. (Days) For ALL email messages sent via SecureLine Escrow and SecureText, this this will be used as the integer number of days before the message accessible for recipient [email] expires from access. Note that you can have different expirations for different recipients of the same message. Once the message has expired for all recipients, the encrypted message data itself is deleted from the system. | [optional] 
**seclineQEmail** | **String** | Optional. For email messages sent via SecureLine Escrow where Question/Answer pairs are being used for authentication, this question will be used for the recipient whose email address is “[email]”. E.g., use “secline_q_ bob@domain.com” as the key for the question for recipient “bob@domain.com”. This overrides any other question that may have otherwise been used. If you set this question value to just an asterisk, “*”, then SecureSend portal login will be used for recipient authentication instead of an explicit question and answer. It does not matter what you specify for “secline_a_...” in this case. | [optional] 
**subject** | **String** | Required. Subject of this message. This can be a maximum of 1000 characters long. Leading and training spaces are automatically trimmed from this subject. | 
**template** | **String** | Optional. If provided, this must be the “Template ID” or template “Code Word” corresponding to an “SMTP or API Email Template” in the sender’s account. This template will be used to set the subject and body of the message (overriding any other subject and body data sent in your API call). Note, any attachments that you include in the API call will still be attached to the templated email message. Note that the templates “flags” may affect how the message isencrypted and delivered. | [optional] 
**templateData** | **Object** | If you specify a “template” which has dynamic place holders, you can specify the keywords and respective values to substitute into the template in this field. The value of the “template_data” field is an associated array (object) with the fields/keywords being the template place holder keywords and the values of those keywords beingthe values to be substituted. | [optional] 
**templateDataRaw** | **Number** | Optional. If passed with a value of “1” then the contents of template_data will be substituted into the template place holders “as is” exactly as passed. This is appropriate for passing content marked up with HTML and inserting that into and HTML-formatted email. The default, “0”, assumes the template_data is plain text content. In this context, the data will be appropriately quoted when being substituted into HTML-formatted email. E.g., special HTML characters like “&lt;” will be converted into HTML entitles like “&amp;lt;” and web links will be converted into clickable links. | [optional] 
**templateFormat** | **String** | Optional. If passed, the value must be \&quot;html\&quot; or \&quot;text\&quot;.  If the template referred by the template parameter has both text and html content, then this parameter is used to select one of those content formats to include in the message, rather than both. | [optional] 
**to** | **[String]** | Optional. Array of email addresses for the recipients in the “To” of the message. | [optional] 
**unsubscribe** | **Number** | Optional. Set to a true value (i.e., 1) to enable use of Unsubscribe Links with this email message. | [optional] 
